#!/usr/bin/env guile
!#

;;; Gacela, a GNU Guile extension for fast games development
;;; Copyright (C) 2016 by Javier Sancho Fernandez <jsf at jsancho dot org>
;;;
;;; This program is free software: you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation, either version 3 of the License, or
;;; (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(use-modules (gacela))


;;; Reactive positions

(define (tick) (* 3000000 (get-internal-real-time)))
(define (waggle) (* 200 (+ 1 (cos (* pi (tick))))))
(define (wiggle) (* 300 (+ 1 (sin (* pi (tick))))))

;;; First example

(define red (import-bitmap "red.bmp"))
(define left-right-red (move-xy wiggle 0 red))
(run-scene left-right-red)

(define blue (import-bitmap "blue.bmp"))
(define up-down-blue (move-xy 0 waggle blue))
(run-scene up-down-blue)
